<!-- Based on fast/repaint/multicol-with-block.html -->
<!DOCTYPE html>
<script src="resources/paint-invalidation-test.js"></script>
<script>
    onload = runPaintInvalidationTest;
    window.expectedPaintInvalidationObjects = [
        "LayoutBlockFlow DIV id='target'",
        "LayoutText #text",
        "InlineTextBox 'PASS'",
    ];
    function paintInvalidationTest() {
        var target = document.getElementById('target');
        target.style.visibility = 'visible';
    }
</script>
<div style="-webkit-columns:4; -webkit-column-gap:10px; column-fill:auto; width:630px; height:20px; color:green;">
    <br>
    <br>
    <br>
    <div id="target" style="visibility:hidden;">PASS</div>
</div>
<p>A green PASS should be seen above.</p>
